<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div>
<?php

if(!isSet($_GET['id']) || !isSet($_GET['imie']) || !isSet($_GET['nazwisko']) ||
   !isSet($_GET['rok_urodzenia']) || !isSet($_GET['miejsce_urodzenia'])){
  exit("Brak danych.</body></html>");
}

if($_GET['id'] == '' || $_GET['imie'] == '' || $_GET['nazwisko'] == '' ||
   $_GET['rok_urodzenia'] == '' || $_GET['miejsce_urodzenia'] == ''){
  exit("Brak danych.</body></html>");
}

$id = $_GET['id'];
$imie = $_GET['imie'];
$nazwisko = $_GET['nazwisko'];
$rok_urodzenia = $_GET['rok_urodzenia'];
$miejsce_urodzenia = $_GET['miejsce_urodzenia'];

//tutaj dodaj procedury weryfikacji poprawnoťci danych

if (!$db_lnk = @sqlite_open("/var/wwwdata/testphp.db", 0666, $msg)){
  echo('Wystąpił błąd podczas próby połączenia z bazą...<br />');
  echo("Komunikat błędu: $msg");
  echo("</body></html>");
  exit;
}

$query = "INSERT INTO osoba VALUES(";
$query .= "$id, '$imie', '$nazwisko', $rok_urodzenia, '$miejsce_urodzenia'";
$query .= ")";

if(!@sqlite_exec($db_lnk, $query, $msg)){
  @mysql_close();
  echo('Wystąpił błąd: zapytanie zostało odrzucone...<br />');
  echo("Komunikat błędu: $msg");
  echo("</body></html>");
  exit;
}

$rowsNo = sqlite_changes($db_lnk);

echo("Liczba dodanych rekordów: $rowsNo <br />");

sqlite_close($db_lnk);
?>
</div>
</body>
</html>
